org.apache.ignite.internal.processors.query

## Class QuerySchema

- java.lang.Object
- - org.apache.ignite.internal.processors.query.QuerySchema

All Implemented Interfaces:
  Serializable

    public class QuerySchema
    extends Object
    implements Serializable

Dynamic cache schema.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`QuerySchema()` Default constructor.
`QuerySchema(Collection<QueryEntity> entities)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `applyPatch(QuerySchemaPatch patch)` Apply query schema patch for changing this schema.
`QuerySchema` `copy()` Copy object.
`Collection<QueryEntity>` `entities()`
`void` `finish(SchemaAbstractOperation op)` Process operation.
`void` `finish(SchemaFinishDiscoveryMessage msg)` Process finish message.
`QuerySchemaPatch` `makePatch(Collection<QueryEntity> target)` Make query schema patch.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### QuerySchema

    public QuerySchema()

Default constructor.

#### QuerySchema

    public QuerySchema(Collection<QueryEntity> entities)

Constructor.

Parameters:
  `entities` - Query entities.

### Method Detail

#### copy

    public QuerySchema copy()

Copy object.

Returns:
  Copy.

#### makePatch

    public QuerySchemaPatch makePatch(Collection<QueryEntity> target)

Make query schema patch.

Parameters:
  `target` - Query entity list to which current schema should be expanded.
Returns:
  Patch to achieve entity which is a result of merging current one and target.
See Also:
  `QuerySchemaPatch`

#### applyPatch

    public boolean applyPatch(QuerySchemaPatch patch)

Apply query schema patch for changing this schema.

Parameters:
  `patch` - Patch to apply.
Returns:
  `true` if applying was success and `false` otherwise.

#### finish

    public void finish(SchemaFinishDiscoveryMessage msg)

Process finish message.

Parameters:
  `msg` - Message.

#### finish

    public void finish(SchemaAbstractOperation op)

Process operation.

Parameters:
  `op` - Operation for handle.

#### entities

    public Collection<QueryEntity> entities()

Returns:
  Query entities.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018